# Is favorite

Checks whether an item has been tagged as a favorite for the current user by type and ID.

Endpoint: GET /favorites/{favoriteType}/{favoriteId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `favoriteType` (string, required)
    The favorite type.
    Enum: "folder", "report", "sheet", "sight", "template", "workspace"

  - `favoriteId` (number, required)
    ID of the favorite being accessed. For example, the ID of a sheet or report.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `x-smar-sc-actor-id` (string)
    ID of the user.
    Example: "100012"

## Query parameters:

  - `include` (string)
    A comma-separated list of optional elements to include in the response.
    Enum: "directId", "name"

## Response 200 fields (application/json):

  - `objectId` (number)
    The ID of the favorited item. If type is template, only private sheet-type template ID is allowed.

  - `type` (string)
    Enum: "folder", "report", "sheet", "sight", "template", "workspace"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


